<?php
/**
 * EqualsValidator class
 *
 * Test if equals another field (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class EqualsValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = 'This field should equal : '.$this->_args[0];
		}
		// Validating
		$sibling = $this->_args[0];
		if ($this->_element->value != Form::getInstance()->$sibling->value) {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
